Retrieve categories
curl --request GET \
--url https://api.spacebring.com/shop/categories/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/shop/categories/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/shop/categories/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
}{
"message": "<string>",
"type": "<string>"
}Shop
Retrieve categories
Retrieve all shop categories in the location.
OAuth
Required scopes:shop.readonly or shopGET
/
shop
/
categories
/
v1
Retrieve categories
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
UUID of the location whose shop categories to list.
Response
Success
List of shop categories.
Show child attributes
Show child attributes
Was this page helpful?
⌘I